Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class DelegatingMetaClass

    java.lang.Object
      groovy.lang.DelegatingMetaClass

All Implemented Interfaces:
  GroovyObject, MetaClass, MutableMetaClass

    public class DelegatingMetaClass
    extends Object

Authors:
  John Wilson

Field Summary
`protected MetaClass` | `delegate`

Constructor Summary
`DelegatingMetaClass(MetaClass delegate)`
`DelegatingMetaClass(Class theClass)`

Method Summary
`void` | `addMetaBeanProperty(MetaBeanProperty metaBeanProperty)`
`void` | `addMetaMethod(MetaMethod metaMethod)`
`void` | `addNewInstanceMethod(Method method)`
`void` | `addNewStaticMethod(Method method)`
`boolean` | `equals(Object obj)`
`MetaClass` | `getAdaptee()`
`Object` | `getAttribute(Object object, String attribute)`
`Object` | `getAttribute(Class sender, Object receiver, String messageName, boolean useSuper)`
`ClassNode` | `getClassNode()`
`MetaClass` | `getMetaClass()`
`MetaMethod` | `getMetaMethod(String name, Object[] args)`
`List` | `getMetaMethods()`
`MetaProperty` | `getMetaProperty(String name)`
`List` | `getMethods()`
`List` | `getProperties()`
`Object` | `getProperty(Object object, String property)`
`Object` | `getProperty(Class sender, Object receiver, String messageName, boolean useSuper, boolean fromInsideClass)`
`Object` | `getProperty(String property)`
`MetaMethod` | `getStaticMetaMethod(String name, Object[] args)`
`MetaMethod` | `getStaticMetaMethod(String name, Class[] argTypes)`
`Class` | `getTheClass()`
`MetaProperty` | `hasProperty(Object obj, String name)`
`int` | `hashCode()`
`void` | `initialize()`
`Object` | `invokeConstructor(Object[] arguments)`
`Object` | `invokeMethod(Object object, String methodName, Object arguments)`
`Object` | `invokeMethod(Object object, String methodName, Object[] arguments)`
`Object` | `invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)`
`Object` | `invokeMethod(String name, Object args)`
`Object` | `invokeMissingMethod(Object instance, String methodName, Object[] arguments)`
`Object` | `invokeMissingProperty(Object instance, String propertyName, Object optionalValue, boolean isGetter)`
`Object` | `invokeStaticMethod(Object object, String methodName, Object[] arguments)`
`boolean` | `isGroovyObject()`
`boolean` | `isModified()`
`MetaMethod` | `pickMethod(String methodName, Class[] arguments)` @deprecated
`List` | `respondsTo(Object obj, String name, Object[] argTypes)`
`List` | `respondsTo(Object obj, String name)`
`int` | `selectConstructorAndTransformArguments(int numberOfConstructors, Object[] arguments)`
`void` | `setAdaptee(MetaClass adaptee)`
`void` | `setAttribute(Object object, String attribute, Object newValue)`
`void` | `setAttribute(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(Object object, String property, Object newValue)`
`void` | `setProperty(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)`
`void` | `setProperty(String property, Object newValue)`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### delegate

    protected MetaClass delegate

Constructor Detail

### DelegatingMetaClass

    public DelegatingMetaClass(MetaClass delegate)

### DelegatingMetaClass

    public DelegatingMetaClass(Class theClass)

Method Detail

### addMetaBeanProperty

    public void addMetaBeanProperty(MetaBeanProperty metaBeanProperty)

### addMetaMethod

    public void addMetaMethod(MetaMethod metaMethod)

### addNewInstanceMethod

    public void addNewInstanceMethod(Method method)

### addNewStaticMethod

    public void addNewStaticMethod(Method method)

### equals

    public boolean equals(Object obj)

### getAdaptee

    public MetaClass getAdaptee()

### getAttribute

    public Object getAttribute(Object object, String attribute)

### getAttribute

    public Object getAttribute(Class sender, Object receiver, String messageName, boolean useSuper)

### getClassNode

    public ClassNode getClassNode()

### getMetaClass

    public MetaClass getMetaClass()

### getMetaMethod

    public MetaMethod getMetaMethod(String name, Object[] args)

### getMetaMethods

    public List getMetaMethods()

### getMetaProperty

    public MetaProperty getMetaProperty(String name)

### getMethods

    public List getMethods()

### getProperties

    public List getProperties()

### getProperty

    public Object getProperty(Object object, String property)

### getProperty

    public Object getProperty(Class sender, Object receiver, String messageName, boolean useSuper, boolean fromInsideClass)

### getProperty

    public Object getProperty(String property)

### getStaticMetaMethod

    public MetaMethod getStaticMetaMethod(String name, Object[] args)

### getStaticMetaMethod

    public MetaMethod getStaticMetaMethod(String name, Class[] argTypes)

### getTheClass

    public Class getTheClass()

### hasProperty

    public MetaProperty hasProperty(Object obj, String name)

### hashCode

    public int hashCode()

### initialize

    public void initialize()

### invokeConstructor

    public Object invokeConstructor(Object[] arguments)

### invokeMethod

    public Object invokeMethod(Object object, String methodName, Object arguments)

### invokeMethod

    public Object invokeMethod(Object object, String methodName, Object[] arguments)

### invokeMethod

    public Object invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)

### invokeMethod

    public Object invokeMethod(String name, Object args)

### invokeMissingMethod

    public Object invokeMissingMethod(Object instance, String methodName, Object[] arguments)

### invokeMissingProperty

    public Object invokeMissingProperty(Object instance, String propertyName, Object optionalValue, boolean isGetter)

### invokeStaticMethod

    public Object invokeStaticMethod(Object object, String methodName, Object[] arguments)

### isGroovyObject

    public boolean isGroovyObject()

### isModified

    public boolean isModified()

### pickMethod

    public MetaMethod pickMethod(String methodName, Class[] arguments)

  deprecated:

### respondsTo

    public List respondsTo(Object obj, String name, Object[] argTypes)

### respondsTo

    public List respondsTo(Object obj, String name)

### selectConstructorAndTransformArguments

    public int selectConstructorAndTransformArguments(int numberOfConstructors, Object[] arguments)

### setAdaptee

    public void setAdaptee(MetaClass adaptee)

### setAttribute

    public void setAttribute(Object object, String attribute, Object newValue)

### setAttribute

    public void setAttribute(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(Object object, String property, Object newValue)

### setProperty

    public void setProperty(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)

### setProperty

    public void setProperty(String property, Object newValue)

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.